| Kea 3.0.2-git

isc::dhcp::ManagedScopedOptionsCopyContainer Struct Reference

`#include <libdhcp++.h>`

## Public Member Functions
| ManagedScopedOptionsCopyContainer ()
| Constructor.
| ~ManagedScopedOptionsCopyContainer ()
| Destructor.

## Public Attributes
ScopedOptionsCopyContainer | scoped_options_
| The container.

## Detailed Description

Definition at line 34 of file libdhcp++.h.

## Constructor & Destructor Documentation

## ◆ ManagedScopedOptionsCopyContainer()

isc::dhcp::ManagedScopedOptionsCopyContainer::ManagedScopedOptionsCopyContainer | ( |  | ) |
| inline

Constructor.

Definition at line 36 of file libdhcp++.h.

## ◆ ~ManagedScopedOptionsCopyContainer()

isc::dhcp::ManagedScopedOptionsCopyContainer::~ManagedScopedOptionsCopyContainer | ( |  | ) |
| inline

Destructor.

Definition at line 40 of file libdhcp++.h.

References scoped_options_.

## Member Data Documentation

## ◆ scoped_options_

ScopedOptionsCopyContainer isc::dhcp::ManagedScopedOptionsCopyContainer::scoped_options_

The container.

Definition at line 49 of file libdhcp++.h.

Referenced by ~ManagedScopedOptionsCopyContainer(), and isc::dhcp::Pkt4::pack().

The documentation for this struct was generated from the following file:

- libdhcp++.h